%global debug_package %{nil}

Name:           oracle-epel-release-el8
Version:        1.0
Release:        1%{dist}
Summary:        Extra Packages for Enterprise Linux (EPEL) yum repository configuration

Group:          System Environment
License:        GPLv2

Source0:        oracle-epel-ol8.repo
Source1:        LICENSE

BuildArch:     x86_64 aarch64
Requires:      oraclelinux-release-el8
Requires:      grep
Requires:      sed
Requires:      yum-utils
Requires:      curl

%description
This package contains the  Extra Packages for Enterprise Linux (EPEL) yum repository configuration.

%prep
%setup  -q  -c -T


%build


%install
rm -rf $RPM_BUILD_ROOT


install -m 755 -d $RPM_BUILD_ROOT/usr/share/doc/%{name}/
install -dm 755 $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d
install -pm 644 %{SOURCE0}   \
    $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d
install -m 755 %{SOURCE1}  $RPM_BUILD_ROOT%{_datadir}/doc/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%dir %{_datadir}/doc/%{name}
%{_datadir}/doc/%{name}/*
%config(noreplace) /etc/yum.repos.d/*

%post
if [ ! -f /etc/yum/vars/ociregion ]; then
(http_proxy="";curl --max-time 1 -q -f http://169.254.169.254/opc/v1/instance/ > /dev/null 2>&1)
 if [ $? != 0 ]; then
   echo > /etc/yum/vars/ociregion
 else
  instance_region=$(http_proxy="";curl http://169.254.169.254/opc/v1/instance/ -s | grep "region\" :" | awk -F\" '{print $4}' | cut -d '-' -f 2)
  if [ -z "$instance_region" ]; then
    echo > /etc/yum/vars/ociregion
  else
    if curl -sfm 10 http://yum-${instance_region}.oracle.com/yum-${instance_region}-ol7.repo > /dev/null; then
        echo "-$instance_region" > /etc/yum/vars/ociregion
    else
        echo > /etc/yum/vars/ociregion
     fi
  fi
 fi
fi



%changelog
* Tue Mar 3 2020 Keshav Sharma <keshav.sharma@oracle.com> 1.0-1
- Initial package

